/* eslint-disable */
<template>
  <el-form
    ref="taskAllocationRuleDataForm"
    v-loading="loading"
    :model="form"
    size="small"
    :rules="rules"
    label-width="140px"
  >
    <div class="base-dialog-body">
      <el-form-item label="阅片人" prop="DoctorUserId">
        <el-select v-model="form.DoctorUserId" :disabled="!!form.Id" clearable>
          <el-option v-for="item of doctorUserList" :label="`${item.UserName}(${item.FullName})`" :value="item.DoctorUserId" />
        </el-select>
      </el-form-item>
      <el-form-item label="访视任务数" prop="PlanVisitCount">
        <el-input-number v-model="form.PlanVisitCount" :min="0" controls-position="right" />
      </el-form-item>
      <el-form-item label="裁判任务数" prop="PlanJudgeCount">
        <el-input-number v-model="form.PlanJudgeCount" :min="0" controls-position="right" />
      </el-form-item>
      <el-form-item label="全局任务数" prop="PlanGlobalCount">
        <el-input-number v-model="form.PlanGlobalCount" :min="0" controls-position="right" />
      </el-form-item>
      <el-form-item label="肿瘤学阅片任务数" prop="PlanTumorCount">
        <el-input-number v-model="form.PlanTumorCount" :min="0" controls-position="right" />
      </el-form-item>
      <el-form-item label="状态">
        <el-radio-group v-model="form.IsEnable">
          <el-radio v-for="item of $d.IsEnable" :key="'form.IsEnable' + item.value" :label="item.value">{{ item.label }}</el-radio>
        </el-radio-group>
      </el-form-item>
      <el-form-item label="备注">
        <el-input :maxLength="$inputMax"
          v-model="form.Note"
          type="textarea"
          maxlength="100"
          show-word-limit
        />
      </el-form-item>
    </div>
    <div class="base-dialog-footer" style="text-align:right;margin-top:10px;">
      <el-form-item>
        <!-- 取消 -->
        <el-button
          :disabled="btnLoading"
          size="small"
          type="primary"
          @click="close"
        >
          {{ $t('common:button:cancel') }}
        </el-button>
        <!-- 保存 -->
        <el-button size="small" type="primary" :loading="btnLoading" @click="save">
          {{ $t('common:button:save') }}
        </el-button>
      </el-form-item>
    </div>
  </el-form>
</template>
<script>
import { addOrUpdateTaskMedicalReviewRule } from '@/api/trials/reading'

export default {
  name: 'AddOrUpdateTaskAllocationRuleData',
  props: {
    data: {
      type: Object,
      default() {
        return {}
      }
    },
    doctorUserList: {
      type: Array,
      default() {
        return []
      }
    }
  },
  data() {
    return {
      form: {
        Id: null,
        TrialId: null,
        PlanVisitCount: 0,
        PlanJudgeCount: 0,
        PlanGlobalCount: 0,
        PlanTumorCount: 0,
        DoctorUserId: null,
        IsEnable: true,
        Note: ''
      },
      rules: {
        DoctorUserId: [{ required: true, message: this.$t('common:ruleMessage:select'), trigger: 'blur' }],
        PlanVisitCount: [{ required: true, message: this.$t('common:ruleMessage:select'), trigger: 'blur' }],
        PlanJudgeCount: [{ required: true, message: this.$t('common:ruleMessage:select'), trigger: 'blur' }],
        PlanGlobalCount: [{ required: true, message: this.$t('common:ruleMessage:select'), trigger: 'blur' }],
        PlanTumorCount: [{ required: true, message: this.$t('common:ruleMessage:select'), trigger: 'blur' }],
      },
      loading: false,
      btnLoading: false
    }
  },
  mounted() {
    console.log(this.doctorUserList)
    console.log(this.data)
    this.form.TrialId = this.$route.query.trialId
    if (Object.keys(this.data).length && this.data.Id) {
      this.form = { ...this.data }
    }
  },
  methods: {
    save() {
      this.$refs.taskAllocationRuleDataForm.validate(valid => {
        console.log(valid)
        if (!valid) return
        this.btnLoading = true
        this.loading = true
        addOrUpdateTaskMedicalReviewRule(this.form).then(res => {
          this.loading = false
          this.btnLoading = false
          this.$message.success('保存成功')
          this.$emit('getList')
        }).catch(() => {
          this.loading = false
          this.btnLoading = false
        })
      })
    },
    close() { this.$emit('close') }
  }
}
</script>
<style lang="scss" scoped>
</style>
